import type { ASTNode, FragmentDefinitionNode, OperationDefinitionNode } from "graphql";
import { TypeInfo } from "graphql";
export declare class TypeAndOperationPathInfo extends TypeInfo {
    operationPathParts: string[];
    _introspectionDepth: number;
    currentRoot: FragmentDefinitionNode | OperationDefinitionNode | null;
    enter(node: ASTNode): void;
    leave(node: ASTNode): void;
    getCurrentRoot(): OperationDefinitionNode | FragmentDefinitionNode | null;
    enterOperationPath(node: ASTNode): void;
    leaveOperationPath(node: ASTNode): void;
    getOperationPath(): string;
    isIntrospection(): boolean;
}
